# vim: set sw=4 ts=4 et:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           cairo-dock
Version:        3.0.2
%define soname  3
Release:        1.5
License:        GPL-3.0+
Summary:        A small simple but effective doclet like Mac
Url:            http://www.glx-dock.org/
Group:          System/GUI/GNOME
Source0:        https://launchpad.net/cairo-dock-core/3.0/%{version}/+download/cairo-dock-%{version}.tar.gz
# PATCH-FEATURE-OPENSUSE cairo-dock-remove_build_timestamps.patch -- remove build timestamp; prevent build-compare false positives;
Patch0:         cairo-dock-remove_build_timestamps.patch
# PATCH-FIX-UPSTREAM cairo-dock-3.0.2-arraysubscript.patch adam@mizerski.pl lp#1050357 -- remove access to nonexisting array field.
Patch1:         cairo-dock-3.0.2-arraysubscript.patch
# PATCH-FIX-UPSTREAM cairo-dock-3.0.2-no-return-in-nonvoid-function.patch adam@mizerski.pl lp#1050399 -- fix no-return-in-nonvoid-function
Patch2:         cairo-dock-3.0.2-no-return-in-nonvoid-function.patch
Source99:       cairo-dock-rpmlintrc
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pangox)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xtst)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Cairo-dock was in the beginning a small simple but effective dock.
On 4th July 2007, Fabounet proposes to us a version improved,
with a very ergonomic configuration, on the ubuntu-fr.org forum.

Since, new versions are followed at an intensive pace and with
their new functionalities like the sub-docks, the effects on
the launchers ... Many people are grafted with the project,
each one bringing its competences, of graphics, to the applet
or plugins and development.

%package devel
Summary:        Development environment for %{name}
Group:          Development/Libraries/X11
Requires:       %{name} = %{version}
Requires:       pkgconfig(gldi) = %{version}

%description devel
This package contains all files necessary to build plugins

%package -n libgldi%{soname}
Summary:        Library needed by cairo-dock
Group:          System/Libraries

%description -n libgldi%{soname}
Cairo-dock is a small simple but effective doclet like Mac
Library needed by cairo-dock.

%package -n libgldi%{soname}-devel
Summary:        Library needed by cairo-dock
Group:          Development/Libraries/X11
Requires:       libgldi%{soname} = %{version}

%description -n libgldi%{soname}-devel
Cairo-dock is a small simple but effective doclet like Mac
Library needed by cairo-dock.

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1

%build
mkdir build
pushd build
    cmake \
        -DCMAKE_VERBOSE_MAKEFILE=TRUE \
        -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
        -DCMAKE_C_FLAGS="%optflags" \
        -DCMAKE_SKIP_RPATH=TRUE \
        -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
        %if %{_lib} == lib64
        -DLIB_SUFFIX=64 \
        %endif
        ..
    make %{?_smp_flags}
popd

%install
pushd build
%make_install
popd

%suse_update_desktop_file -r -n %{name} Utility DesktopUtility
%suse_update_desktop_file -r -n %{name}-cairo Utility DesktopUtility

%find_lang %{name}

%fdupes -s %{buildroot}/%{_datadir}

%post   -n libgldi%{soname} -p /sbin/ldconfig
%postun -n libgldi%{soname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_datadir}/cairo-dock/ChangeLog.txt
%{_bindir}/cairo-dock
%{_bindir}/cairo-dock-package-theme
%dir %{_datadir}/cairo-dock
%{_datadir}/cairo-dock/*.conf
%{_datadir}/cairo-dock/*.desktop
%{_datadir}/cairo-dock/*.svg
%{_datadir}/cairo-dock/readme-*-view
%dir %{_datadir}/cairo-dock/icons
%{_datadir}/cairo-dock/icons/*.png
%{_datadir}/cairo-dock/icons/*.svg
%{_datadir}/cairo-dock/icons/*.xpm
%{_datadir}/cairo-dock/images/
%dir %{_datadir}/cairo-dock/gauges/
%{_datadir}/cairo-dock/gauges/Turbo-night-fuel/
%dir %{_datadir}/cairo-dock/explosion/
%{_datadir}/cairo-dock/explosion/*.png
%{_datadir}/cairo-dock/scripts/
%{_datadir}/applications/cairo-dock-cairo.desktop
%{_datadir}/applications/cairo-dock.desktop
%{_datadir}/pixmaps/cairo-dock.svg
%dir %{_datadir}/cairo-dock/themes/
%{_datadir}/cairo-dock/themes/Default-Panel
%{_datadir}/cairo-dock/themes/Default-Single
%doc %{_mandir}/man1/%{name}.1*

%files devel
%defattr(-, root, root)
%{_includedir}/cairo-dock
%{_libdir}/pkgconfig/cairo-dock.pc

%files -n libgldi%{soname}
%defattr(-, root, root)
%{_libdir}/libgldi.so.%{soname}*

%files -n libgldi%{soname}-devel
%defattr(-, root, root)
%{_libdir}/libgldi.so
%{_libdir}/pkgconfig/gldi.pc

%changelog
* Wed Sep 12 2012 adam@mizerski.pl
- update to 3.0.2: bugfixes
- spec file cleanup
- added patches:
  * cairo-dock-3.0.2-arraysubscript.patch
  * cairo-dock-3.0.2-no-return-in-nonvoid-function.patch
* Thu May 24 2012 pascal.bleser@opensuse.org
- update to 3.0.1: bugfixes
* Tue May  1 2012 pascal.bleser@opensuse.org
- update to 3.0.0
* Fri Jun 24 2011 detlef@links2linux.de
- new upstream version 2.3.0-3
* Mon May  2 2011 detlef@links2linux.de
- new upstream version 2.3.0-1
* Wed Mar 16 2011 detlef@links2linux.de
- new upstream version 2.3.0-0rc1
* Thu Mar 18 2010 andrea@links2linux.de
- new upstream version 2.1.3
* Sun Nov 22 2009 andrea@links2linux.de
- new upstream version 2.1.1
* Tue Jul  7 2009 andrea@links2linux.de
- new upstream version 2.0.7
* Thu Jun 18 2009 andrea@links2linux.de
- new upstream version 2.0.5
* Tue May 26 2009 andrea@links2linux.de
- new upstream version 2.0.3
* Sun May 10 2009 andrea@links2linux.de
- new upstream version 2.0.0
* Sun Dec  7 2008 andrea@links2linux.de
- upgraded to version 20081109 v1.6.3.1
* Sun Nov  9 2008 andrea@links2linux.de
- upgraded to version 20081109 v1.6.3
* Wed Sep 10 2008 andrea@links2linux.de
- upgraded to version 20080910 v1.6.2.3
* Fri Aug 29 2008 andrea@links2linux.de
- upgraded to version 20080828 v1.6.2.1
- themes packages splitted out in a new spec file, use a differente tarball
* Fri Jun 20 2008 andrea@links2linux.de
- upgraded to version 20080619 v1.6.0.2
* Sun Jun  1 2008 andrea@links2linux.de
- upgraded to version 20080528 v1.5.6
* Thu May  8 2008 andrea@links2linux.de
- upgraded to version 20080506
* Thu May  1 2008 andrea@links2linux.de
- upgraded to version 20080501
* Sat Apr 26 2008 andrea@links2linux.de
- upgraded to version 20080426
* Thu Apr 24 2008 andrea@links2linux.de
- upgraded to version 20080424
* Wed Apr  9 2008 andrea@links2linux.de
- upgraded to version 20080408
- added some gadgets
* Sun Apr  6 2008 andrea@links2linux.de
- upgraded to version 20080406
* Thu Apr  3 2008 andrea@links2linux.de
- upgraded to version 20080403
- added theme _Wood_
- added gadgets to package
* Sun Mar 23 2008 andrea@links2linux.de
- upgraded to version 20080318
- Splitted out "themes" package
* Thu Feb 28 2008 andrea@links2linux.de
- upgraded to version 20080227
* Sun Feb 10 2008 andrea@links2linux.de
- upgraded to version 20080209
- added theme _I_Cairo
- removed doc package
* Sat Jan 19 2008 andrea@links2linux.de
- First spec making
